'statusbar parts
'状态窗口中的每一个部件的右边缘坐标设置部件的数量。
'示例： DIM sbParts(4)
'       sbParts(0) = 90' 以像素为单位
'       sbParts(1) = 124' 以像素为单位
'       sbParts(2) = 166' 以像素为单位
'       sbParts(3) = 350' 以像素为单位
'       sbParts(4) =-1
'       StatusBar hStatus, sbParts()
'参数：
'hStatus  状态栏句柄。
'aWidths  作为在状态栏中的零件具有相同元素数目的长整数数组的指针。每个数组中的元素指定工作区坐标位置的相应部分的右边缘。如果元素是-1，则该部分的右边缘的位置延伸到窗口的右边缘。
Function FF_StatusBar_SetParts (ByVal hStatus as HWnd, aWidths() as Long) as Long
   Dim dwParts as Long
   Dim FirstElement as Long
   dwParts = UBound(aWidths) - LBound(aWidths) + 1
   FirstElement = LBound(aWidths)
   Function = SendMessage (hStatus, SB_SETPARTS, dwParts, Cast(LPARAM, VarPtr(aWidths(FirstElement))))
End Function

